KIP People API (Public)

UpdateMyUserAddressesByType

Update a user’s address of type

put

Path Parameters

typestringrequired

Allowed values:HomeShippingBilling

idstring(uuid)required

Body

application/json

Models.Address

streetstringrequired

Example:Moutstraat

houseNumberstringrequired

Example:132

houseNumberExtensionstring

Optional extension to the house number, e.g., ‘A’ in ‘123A’

Example:Office 1

citystringrequired

Example:Ghent

postalCodestringrequired

Example:9100

countrystringrequired

ISO 3166-1 alpha-2 country code of countries Kinepolis operates in

Example:BE

Response

The request has succeeded.

put/users/me/profile/addresses/{type}/{id}

Body

{ "street": "Moutstraat", "houseNumber": "132", "city": "Ghent", "postalCode": "9100", "country": "BE" }
 

RemoveMyUserAddressesOfType

Remove a user’s address

delete

Path Parameters

typestringrequired

Allowed values:HomeShippingBilling

idstring(uuid)required

Response

There is no content to send for this request, but the headers may be useful.

delete/users/me/profile/addresses/{type}/{id}
 

GetMyExtendedUserProfile

Get the current user’s extended profile information

get

Response

application/json

The request has succeeded.

Models.Responses.ExtendedProfileResponse

The request has succeeded.

dataobjectrequired
Show Child Parameters
linksarray[object]required
Show Child Parameters
get/users/me/profile/extended
 
application/json

UpdateMyExtendedUserProfile

Update the current user’s extended profile information

put

Body

application/json

Models.ExtendedProfile

firstNamestringrequired
lastNamestringrequired
middleNamestring
genderstringrequired
preferredComplexstringrequired

Example:KBRG

mobilePhonestring

Example:+32470123456

preferredLanguagestringrequired

Example:NL

dateOfBirthstring(iso-date)required

Example:1996-01-01

Response

The request has succeeded.

put/users/me/profile/extended

Body

{ "firstName": "firstName", "lastName": "lastName", "gender": "gender", "preferredComplex": "KBRG", "preferredLanguage": "NL", "dateOfBirth": "1996-01-01" }
 

UpdateMyMembership

Update the current user’s membership information

put

Body

application/json

Models.Membership

membershipLevelstringrequired

Membership levels available for users, paid memberships cannot be set via the API

Allowed values:MyKinepolisKinepolisStudentCardKinepolisMovieClubGoldSilverPressStaff

Response

The request has succeeded.

put/users/me/profile/membership

Body

{ "membershipLevel": "MyKinepolis" }